ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
auto_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_all_macroes (&$Options, $Str, $Changed)
| compile_string ($Str)

## Data Fields
| $Cache = false
| $CachedMultyFS = false
| $ConfigSettings = false
| $Settings = false
| $String = false
| $Utilities = false
| $MacroScripts = false
| $ParsedConfig = false

## Detailed Description

View.

Author
  Dodonov A.A.

Definition at line 26 of file auto_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 83 of file auto_markup.php.

{
try
{
$this->Cache = get_package( 'cache' , 'last' , __FILE__ );
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->ConfigSettings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->TemplateContentAccess = get_package(
'page::template_content::template_content_access' , 'last' , __FILE__
);
$this->String = get_package( 'string' , 'last' , __FILE__ );
$this->Utilities = get_package( 'utilities' , 'last' , __FILE__ );
$this->ParsedConfig = array();
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_all_macroes | ( | & | $Options,
|  |  | $Str,
|  |  | $Changed
| ) |  |

Function processes macroes.

Parameters

  $Options | - Settings.
  $Str | - String to process.
  $Changed | - true if any of the page's elements was compiled.

Returns
  array( Processed string , Was the string changed ).

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 776 of file auto_markup.php.

{
try
{
$this->load_template_contents_configs();
$Macroes = $this->String->find_all_macro( $Str );
foreach( $Macroes as $i => $Name )
{
list( $Str , $Changed ) = $this->compile_named_macro( $Name , $Str , $Changed );
}
return( array( $Str , $Changed ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_string | ( |  | $Str | ) |

Function processes string.

Parameters

  $Str | - String to process.

Returns
  Processed string.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 819 of file auto_markup.php.

{
try
{
$Changed = true;
for( ; $Changed ; )
{
$Changed = false;
list( $Str , $Changed ) = $this->compile_all_macroes( $this->Settings , $Str , $Changed );
}
return( $Str );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Cache = false

Cached object.

Author
  Dodonov A.A.

Definition at line 38 of file auto_markup.php.

$CachedMultyFS = false

Definition at line 39 of file auto_markup.php.

$ConfigSettings = false

Definition at line 40 of file auto_markup.php.

$MacroScripts = false

Configs.

Author
  Dodonov A.A.

Definition at line 55 of file auto_markup.php.

$ParsedConfig = false

Parsed config.

Author
  Dodonov A.A.

Definition at line 67 of file auto_markup.php.

$Settings = false

Definition at line 41 of file auto_markup.php.

$String = false

Definition at line 42 of file auto_markup.php.

$Utilities = false

Definition at line 43 of file auto_markup.php.

The documentation for this class was generated from the following file:

- packages/page/packages/auto_markup/auto_markup.php